# Uses of Enum Class org.bukkit.entity.MushroomCow.Variant (Scissors-API 1.19.3-R0.1-SNAPSHOT API)
use: package: org.bukkit.entity, interface: MushroomCow, enum: Variant

# Uses of Enum Class
org.bukkit.entity.MushroomCow.Variant

Packages that use MushroomCow.Variant
Package
Description
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of MushroomCow.Variant in org.bukkit.entity

Methods in org.bukkit.entity that return MushroomCow.Variant
Modifier and Type
Method
Description
`@NotNull MushroomCow.Variant`
MushroomCow.`getVariant()`
Get the variant of this cow.
`static MushroomCow.Variant`
MushroomCow.Variant.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MushroomCow.Variant[]`
MushroomCow.Variant.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.entity with parameters of type MushroomCow.Variant
Modifier and Type
Method
Description
`void`
MushroomCow.`setVariant(@NotNull MushroomCow.Variant variant)`
Set the variant of this cow.